import { DICT } from './constants.js'

export const textTranslate = (str) => {
  if (!str) return str
  return [...str].map(key => {
    return DICT[key] || key
  }).join('')
}

export const getPreDefinedError = (e) => {
  if (/must have data/.test(e.message)) return '文件不存在'
  if (/Invalid/.test(e.message)) return '文件格式错误'
  const responseReg = /response \((\d+)\)/
  const responseError = responseReg.exec(e.message)
  if (responseError) {
    const errorCode = responseError[1]
    return `服务器出错，错误码为 ${errorCode} ${errorCode === '401' && '认证信息失效，请重新认证'}`
  }
}