import axios from 'axios'

import { getAuthFields } from '../index.js'
import { timeout } from '../../constants/index.js'

// 创建axios实例
const service = axios.create({
  baseURL: import.meta.env.MODE === 'development' ? import.meta.env.VITE_VUE_APP_BASE_API : '/', // api 的 base_url
  timeout // 请求超时时间
})

// request拦截器
service.interceptors.request.use(
  config => {
    const {
      token,
      apiKey
    } = getAuthFields()
    if(token){
      config.headers['Authorization'] = token
    }

    if(apiKey){
      config.headers['apiKey'] = apiKey
    }
    config.headers['Content-Type'] = 'application/json'
    return config
  },
  error => {
    Promise.reject(error)
  }
)
export default service
